---
title: MessageEvent.origin
slug: Web/API/MessageEvent/origin
tags:
  - API
  - DOM
  - MessageEvent
  - Property
  - Reference
  - messaging
  - origin
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>origin</strong></code> read-only property of the {{domxref("MessageEvent")}} interface is a {{domxref("USVString")}} representing the origin of the message emitter.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var origin = messageEvent.origin;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}} representing the origin.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">myWorker.onmessage = function(e) {
  result.textContent = e.data;
  console.log('Message received from worker');
  console.log(e.origin);
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("HTML WHATWG", "#dom-messageevent-origin", "MessageEvent: origin")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MessageEvent.origin")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("ExtendableMessageEvent")}} — similar to this interface but used in interfaces that needs to give more flexibility to authors.</li>
</ul>
